local assets=
{ 
    Asset("ANIM", "anim/astick.zip"),
    Asset("ANIM", "anim/swap_astick.zip"), 

    Asset("ATLAS", "images/inventoryimages/astick.xml"),
    Asset("IMAGE", "images/inventoryimages/astick.tex"),
}

local prefabs = 
{
}

local function OnEquip(inst, owner) 
        owner.AnimState:OverrideSymbol("swap_object", "swap_astick", "astick")
        owner.AnimState:Show("ARM_carry") 
        owner.AnimState:Hide("ARM_normal") 
end

local function OnUnequip(inst, owner) 
        owner.AnimState:Hide("ARM_carry") 
        owner.AnimState:Show("ARM_normal") 
end

local function fn(colour)

    local inst = CreateEntity()
    local trans = inst.entity:AddTransform()
    local anim = inst.entity:AddAnimState()
    
	inst.entity:AddNetwork()
	
	MakeInventoryPhysics(inst)
    
    anim:SetBank("astick")
    anim:SetBuild("astick")
    anim:PlayAnimation("idle")

    inst:AddTag("sharp")

    if not TheWorld.ismastersim then
        return inst
    end
    
    inst.entity:SetPristine()
	
	inst:AddComponent("lighter")

    inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(TUNING.SPEAR_DAMAGE)

    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.imagename = "astick"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/astick.xml"
    
    inst:AddComponent("equippable")
    inst.components.equippable:SetOnEquip( OnEquip )
    inst.components.equippable:SetOnUnequip( OnUnequip )
    inst.components.equippable.walkspeedmult = TUNING.CANE_SPEED_MULT

    return inst
end

return  Prefab("common/inventory/astick", fn, assets, prefabs)