local assets=
{ 
    Asset("ANIM", "anim/grasp.zip"),
    Asset("ANIM", "anim/swap_grasp.zip"), 

    Asset("ATLAS", "images/inventoryimages/grasp.xml"),
    Asset("IMAGE", "images/inventoryimages/grasp.tex"),
}

local prefabs = 
{
}

local function OnEquip(inst, owner) 
        --owner.AnimState:OverrideSymbol("swap_object", "swap_wands", "purplestaff")
        owner.AnimState:OverrideSymbol("swap_object", "swap_grasp", "grasp")
        owner.AnimState:Show("ARM_carry") 
        owner.AnimState:Hide("ARM_normal") 
end

local function OnUnequip(inst, owner) 
        owner.AnimState:Hide("ARM_carry") 
        owner.AnimState:Show("ARM_normal") 
end

local function fn(colour)

    local inst = CreateEntity()
    local trans = inst.entity:AddTransform()
    local anim = inst.entity:AddAnimState()
	
	inst.entity:AddNetwork()
	
    MakeInventoryPhysics(inst)
    
    anim:SetBank("grasp")
    anim:SetBuild("grasp")
    anim:PlayAnimation("idle")

	inst:AddTag("sharp")

    if not TheWorld.ismastersim then
        return inst
    end
    
    inst.entity:SetPristine()
	
	--inst:AddComponent("tool")
    --inst.components.tool:SetAction(ACTIONS.REMOTERESURRECT)
	
    inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(TUNING.SPEAR_DAMAGE)

    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.imagename = "grasp"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/grasp.xml"
    
    inst:AddComponent("equippable")
    inst.components.equippable:SetOnEquip( OnEquip )
    inst.components.equippable:SetOnUnequip( OnUnequip )

    return inst
end

return  Prefab("common/inventory/grasp", fn, assets, prefabs)